# Aplikacija

Aplikaciju je moguće dohvatiti iz Containera pod kllučem `app`.

## Konfiguracija

```php
<?php
namespace App;

return [
    'app' => [
        'development' => false,   // kada je ovo upaljeno, me keširamo stvari, prikazujemo greške i sl.
        
        'middleware' => [         // middlewareovi moraju biti registrirani u glavni Container.
            'app.error_handler',
            'app.base_url',            
        ],
    ],
    
    'log' => [
        'app.logger' => [
            'writers' => [[
                'name' => 'stream',
                'options' => [
                    'stream' => 'var/log/app.log',
                    'mode' => 'a+',
                ],
            ], [
                'name' => 'mail',
                'options' => [
                    'transport' => 'app.mailer',
                    'subject_prepend_text' => 'Greška na %s: ',
                    'mail' => [
                        'from' => 'app@ep.hr',
                        'to' => 'web@ep.hr',
                    ],
                ],
            ]],
        ],
    ],

    'mail' => [
        'transports' => [
            'app.mailer' => [
                'type' => 'sendmail',
            ],
        ],
    ],
];
```

## Middlewareovi

## app.base_url

Detektira ispravan url aplikacije kada se nalazimo u poddirektoriju. Ovo je nužno za ispravno
parsanje ruta aplikacije.

## app.error_handler

Ovo je u biti Stratigility ErrorHandler napunjen našim listenerima i našim ResponseGeneratorom.

Ako je `development` upaljen, greške ćemo renderirati u browseru koristeći Whoops library. Ako smo
u produkciji, u browser ćemo poslati stranicu s greškom, a grešku ćemo proslijediti u `app.logger`.

## app.force_https

Aplikacija će uvijek redirektati na https:// url.

## app.force_www

Aplikacija će uvijek redirektati na domenu s www. ispred.