import $ from 'jquery';

/**
 * Osnovna klasa za elemente obrazaca.
 */
export default class Element
{
    /**
     * Konstruktor.
     *
     * @param el
     */
    constructor(el)
    {
        if (el.ep !== undefined) {
            throw "el je već inicijaliziran.";
        }

        this.$el = $(el);

        this._value = this.$el.val();
    }

    /**
     * Vraća true ako je ovaj element omogućen.
     */
    get enabled()
    {
        return !this.$el.prop('disabled');
    }

    /**
     * Postavlja omogućenost elementa.
     *
     * @param value
     */
    set enabled(value)
    {
        if (value === this.enabled) {
            return;
        }

        this.$el.prop('disabled', !value);

        if (value) {
            this.$el.removeClass('disabled');
        } else {
            this.$el.addClass('disabled');
        }
    }

    /**
     * Resetira element na početno stanje.
     */
    reset()
    {
        this.$el.val(this._value);
    }
}