<?php
namespace Ep\Currency\Adapter;

/**
 * Dohvaća tečajnu listu s našeg servisa.
 *
 * @package Ep\Currency\Adapter
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class EpCurrency extends AbstractAdapter
{
    const BASE_URI = 'http://currency.ep.hr/';

    /**
     * Vraća tečajnu listu.
     *
     * @param string $baseCurrency
     *
     * @return array
     *
     * @throws \GuzzleHttp\Exception\GuzzleException
     */
    public function getRates($baseCurrency = self::BASE_CURRENCY): array
    {
        $response = $this->http->request('GET', '', [
            'query' => [
                'base' => $baseCurrency,
            ],
        ]);

        $responseJson = $response->getBody()->getContents();
        $data = json_decode($responseJson, true);

        if (null === $data) {
            throw new \RuntimeException(sprintf(
                'Došlo je do greške prilikom dekodiranja JSONa: %s.',
                json_last_error_msg()
            ));
        }

        return $data;
    }
}