<?php
namespace Ep\Form\View\Helper;

use Zend\Form\Element\Button;
use Zend\Form\View\Helper\FormElement as BaseFormElement;

/**
 * Odlučuje koji helper koristimo za dati element.
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormElement extends BaseFormElement
{
    const DEFAULT_HELPER = 'form_input';

	/**
	 * Instance map to view helper
	 *
	 * @var array
	 */
	protected $classMap = [
        Button::class => 'form_button',
	];

	/**
	 * Type map to view helper
	 *
	 * @var array
	 */
	protected $typeMap = [
	    'checkbox'       => 'form_checkbox',
        'multi_checkbox' => 'form_multi_checkbox',
        'select'         => 'form_select',
        'submit'         => 'form_button',
        'textarea'       => 'form_textarea',
	];

    /**
     * Default helper name
     *
     * @var string
     */
    protected $defaultHelper = self::DEFAULT_HELPER;
}