<?php
namespace Ep\Form\View\Helper;

use Zend\Form\View\Helper\FormElementErrors as BaseFormElementErrors;

/**
 * Renderira greške elementa.
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormElementErrors extends BaseFormElementErrors
{
	/**
	 * String za zatvaranje poruke.
	 *
	 * @var string
	 */
	protected $messageCloseString = '</div>';

	/**
	 * String za otvaranje poruke.
	 *
	 * @var string
	 */
	protected $messageOpenFormat = '<div%s>';

	/**
	 * Atributi poruke.
	 *
	 * @var array
	 */
	protected $attributes = [
		'class' => 'invalid-feedback',
	];

	/**
	 * Vraća string kojim razdvajamo poruke.
	 *
	 * @return string
	 */
	public function getMessageSeparatorString()
	{
		return '<br>';
	}
}