<?php
namespace Ep\Form\View\Helper;

use Ep\View\Helper\Icon;
use Ep\View\IconAwareInterface;
use Zend\Form\ElementInterface;
use Zend\Form\View\Helper\AbstractHelper;

/**
 * Class FormIcon
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormIcon extends AbstractHelper
{
    /** @var Icon */
    protected $iconHelper;

    /**
     * @return Icon
     */
    protected function getIconHelper()
    {
        if (null === $this->iconHelper) {
            $this->iconHelper = method_exists($this->view, 'plugin')
                ? $this->view->plugin('icon')
                : new Icon();
        }

        return $this->iconHelper;
    }

    public function __invoke(ElementInterface $element)
    {
        if ($element instanceof IconAwareInterface && strlen($element->getIcon()) > 0) {
            $iconHelper = $this->getIconHelper();
            return $iconHelper($element->getIcon());
        }

        return '';
    }
}