<?php
namespace Ep\Form\View\Helper;

use Zend\Form\ElementInterface;
use Zend\Form\LabelAwareInterface;
use Zend\Form\View\Helper\FormLabel as BaseFormLabel;

/**
 * Renderira <label> element.
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormLabel extends BaseFormLabel
{
    /**
     * Dodajemo klasu na sve labele.
     *
     * @param null $attributesOrElement
     *
     * @return string
     */
    public function openTag($attributesOrElement = null)
    {
        if (
            $attributesOrElement instanceof ElementInterface &&
            $attributesOrElement instanceof LabelAwareInterface
        ) {
            $attributes = $attributesOrElement->getLabelAttributes();
            $classes = explode(' ', $attributes['class'] ?? null);

            if (false === array_search('form-control-label', $classes)) {
                $classes[] = 'form-control-label';
                $attributes['class'] = implode(' ', $classes);
                $attributesOrElement->setLabelAttributes($attributes);
            }
        }

        return parent::openTag($attributesOrElement);
    }
}